package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * UrlFilterGlobalOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class UrlFilterGlobalOpenApiVo   {
  @JsonProperty("blockPage")
  private Boolean blockPage;

  @JsonProperty("blockPageMessage")
  private String blockPageMessage;

  @JsonProperty("safeSearch")
  private Boolean safeSearch;

  public UrlFilterGlobalOpenApiVo blockPage(Boolean blockPage) {
    this.blockPage = blockPage;
    return this;
  }

  /**
   * blockPage should be a value as follows: false: close; true: open.
   * @return blockPage
  */
  @ApiModelProperty(required = true, value = "blockPage should be a value as follows: false: close; true: open.")
  @NotNull


  public Boolean getBlockPage() {
    return blockPage;
  }

  public void setBlockPage(Boolean blockPage) {
    this.blockPage = blockPage;
  }

  public UrlFilterGlobalOpenApiVo blockPageMessage(String blockPageMessage) {
    this.blockPageMessage = blockPageMessage;
    return this;
  }

  /**
   * blockPageMessage of blockPage,when blockPage switch is open.
   * @return blockPageMessage
  */
  @ApiModelProperty(value = "blockPageMessage of blockPage,when blockPage switch is open.")


  public String getBlockPageMessage() {
    return blockPageMessage;
  }

  public void setBlockPageMessage(String blockPageMessage) {
    this.blockPageMessage = blockPageMessage;
  }

  public UrlFilterGlobalOpenApiVo safeSearch(Boolean safeSearch) {
    this.safeSearch = safeSearch;
    return this;
  }

  /**
   * safeSearch should be a value as follows: false: close; true: open.
   * @return safeSearch
  */
  @ApiModelProperty(required = true, value = "safeSearch should be a value as follows: false: close; true: open.")
  @NotNull


  public Boolean getSafeSearch() {
    return safeSearch;
  }

  public void setSafeSearch(Boolean safeSearch) {
    this.safeSearch = safeSearch;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UrlFilterGlobalOpenApiVo urlFilterGlobalOpenApiVo = (UrlFilterGlobalOpenApiVo) o;
    return Objects.equals(this.blockPage, urlFilterGlobalOpenApiVo.blockPage) &&
        Objects.equals(this.blockPageMessage, urlFilterGlobalOpenApiVo.blockPageMessage) &&
        Objects.equals(this.safeSearch, urlFilterGlobalOpenApiVo.safeSearch);
  }

  @Override
  public int hashCode() {
    return Objects.hash(blockPage, blockPageMessage, safeSearch);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UrlFilterGlobalOpenApiVo {\n");
    
    sb.append("    blockPage: ").append(toIndentedString(blockPage)).append("\n");
    sb.append("    blockPageMessage: ").append(toIndentedString(blockPageMessage)).append("\n");
    sb.append("    safeSearch: ").append(toIndentedString(safeSearch)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

